Name: 		ali-version-keeper
Version:	0.1
Release:	1%{?dist}
Summary:	This package contain scripts which in order to keep the packages version unchanged when there are over two versions exist in the repo.

Group:		Epao/system
License:	Mulan PSL V2
URL:		https://gitee.com/gcdota930915/yum-kernel-keeper.git
Source0:	%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:	/usr/bin/yum

%description
This script is in order to keep the packages version unchanged when there are over two version exist in the repo.


%prep
%setup -q


%build
# nothing to build

%install
mkdir -p %{buildroot}/etc/preserve.d
mkdir -p %{buildroot}/usr/bin/
mkdir -p %{buildroot}/etc/profile.d/

install -m 755 yum.sh %{buildroot}/usr/bin/yum.sh
install -m 755 profile.d/yum-alias.sh %{buildroot}/etc/profile.d/yum-alias.sh
install preserve.d/kernel.conf %{buildroot}/etc/preserve.d/kernel.conf 

%clean


%files
%license COPYING
%{_bindir}/yum.sh
%{_sysconfdir}/profile.d/yum-alias.sh
%{_sysconfdir}/preserve.d/kernel.conf


%changelog
* Mon Oct 31 2022 Chang Gao <gc-taifu@linux.alibaba.com> - 0.1-1
- Initial version for Anolis

